Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.extractor
Class XSSFExcelExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIXMLTextExtractor
              org.apache.poi.xssf.extractor.XSSFExcelExtractor

All Implemented Interfaces:
  org.apache.poi.ss.extractor.ExcelExtractor

    public class XSSFExcelExtractor

extends POIXMLTextExtractor
implements org.apache.poi.ss.extractor.ExcelExtractor

Helper class to extract text from an OOXML Excel file

Field Summary
`static XSSFRelation[]` | `SUPPORTED_TYPES`

Constructor Summary
`XSSFExcelExtractor(OPCPackage container)`
`XSSFExcelExtractor(java.lang.String path)` Deprecated. Use `XSSFExcelExtractor(org.apache.poi.openxml4j.opc.OPCPackage)` instead.
`XSSFExcelExtractor(XSSFWorkbook workbook)`

Method Summary
`java.lang.String` | `getText()` Retreives the text contents of the file
`static void` | `main(java.lang.String[] args)`
`void` | `setFormulasNotResults(boolean formulasNotResults)` Should we return the formula itself, and not the result it produces? Default is false
`void` | `setIncludeCellComments(boolean includeCellComments)` Should cell comments be included? Default is true
`void` | `setIncludeHeadersFooters(boolean includeHeadersFooters)` Should headers and footers be included? Default is true
`void` | `setIncludeSheetNames(boolean includeSheetNames)` Should sheet names be included? Default is true
`void` | `setLocale(java.util.Locale locale)` What Locale should be used for formatting numbers (based on the styles applied to the cells)

Methods inherited from class org.apache.poi.POIXMLTextExtractor
`getCoreProperties, getCustomProperties, getDocument, getExtendedProperties, getMetadataTextExtractor, getPackage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUPPORTED_TYPES

    public static final XSSFRelation[] SUPPORTED_TYPES

Constructor Detail

### XSSFExcelExtractor

    public XSSFExcelExtractor(java.lang.String path)
                       throws org.apache.xmlbeans.XmlException,
                              OpenXML4JException,
                              java.io.IOException

  Deprecated. Use `XSSFExcelExtractor(org.apache.poi.openxml4j.opc.OPCPackage)` instead.

  Throws:
    `org.apache.xmlbeans.XmlException`
    `OpenXML4JException`
    `java.io.IOException`

### XSSFExcelExtractor

    public XSSFExcelExtractor(OPCPackage container)
                       throws org.apache.xmlbeans.XmlException,
                              OpenXML4JException,
                              java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `OpenXML4JException`
  `java.io.IOException`

### XSSFExcelExtractor

    public XSSFExcelExtractor(XSSFWorkbook workbook)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setIncludeSheetNames

    public void setIncludeSheetNames(boolean includeSheetNames)

  Should sheet names be included? Default is true

  Specified by:
    `setIncludeSheetNames` in interface `org.apache.poi.ss.extractor.ExcelExtractor`

### setFormulasNotResults

    public void setFormulasNotResults(boolean formulasNotResults)

  Should we return the formula itself, and not the result it produces? Default is false

  Specified by:
    `setFormulasNotResults` in interface `org.apache.poi.ss.extractor.ExcelExtractor`

### setIncludeCellComments

    public void setIncludeCellComments(boolean includeCellComments)

  Should cell comments be included? Default is true

  Specified by:
    `setIncludeCellComments` in interface `org.apache.poi.ss.extractor.ExcelExtractor`

### setIncludeHeadersFooters

    public void setIncludeHeadersFooters(boolean includeHeadersFooters)

  Should headers and footers be included? Default is true

### setLocale

    public void setLocale(java.util.Locale locale)

  What Locale should be used for formatting numbers (based on the styles applied to the cells)

### getText

    public java.lang.String getText()

  Retreives the text contents of the file

  Specified by:
    `getText` in interface `org.apache.poi.ss.extractor.ExcelExtractor`
  Specified by:
    `getText` in class `org.apache.poi.POITextExtractor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD